Package com.arms.api.globaltreemap.service

## Class GlobalTreeMapServiceImpl

- java.lang.Object
- - com.arms.api.globaltreemap.service.GlobalTreeMapServiceImpl

- All Implemented Interfaces:
    `GlobalTreeMapService`

      @Service
      public class GlobalTreeMapServiceImpl
      extends java.lang.Object
      implements GlobalTreeMapService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalTreeMapServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `delete​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `void` | `delete​(java.lang.Long map_key)` |
    `void` | `deleteAllByMapKey​(java.util.List<java.lang.Long> map_keys)` |
    `java.util.List<GlobalTreeMapEntity>` | `findAllBy​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `java.util.List<GlobalTreeMapEntity>` | `findAllByIds​(java.util.List<java.lang.Long> ids, java.lang.String name)` |
    `java.util.Map<java.lang.String,​java.util.List<java.lang.Long>>` | `findAllMapBy​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `java.util.Map<java.lang.String,​java.util.List<java.lang.Long>>` | `findAllMapByIds​(java.util.List<java.lang.Long> ids, java.lang.String name)` |
    `GlobalTreeMapEntity` | `findById​(java.lang.Long map_key)` |
    `java.util.List<GlobalTreeMapEntity>` | `saveAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntities)` |
    `GlobalTreeMapEntity` | `saveOne​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `GlobalTreeMapEntity` | `update​(GlobalTreeMapEntity globalTreeMapEntity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalTreeMapServiceImpl

          public GlobalTreeMapServiceImpl()

  - ### Method Detail

    - #### saveAll

          @Transactional
          public java.util.List<GlobalTreeMapEntity> saveAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntities)

      Specified by:
        `saveAll` in interface `GlobalTreeMapService`

    - #### update

          @Transactional(transactionManager="transactionJpaManager")
          public GlobalTreeMapEntity update​(GlobalTreeMapEntity globalTreeMapEntity)

      Specified by:
        `update` in interface `GlobalTreeMapService`

    - #### delete

          @Transactional(transactionManager="transactionJpaManager")
          public java.lang.Long delete​(GlobalTreeMapEntity globalTreeMapEntity)

      Specified by:
        `delete` in interface `GlobalTreeMapService`

    - #### saveOne

          @Transactional
          public GlobalTreeMapEntity saveOne​(GlobalTreeMapEntity globalTreeMapEntity)

      Specified by:
        `saveOne` in interface `GlobalTreeMapService`

    - #### delete

          @Transactional(transactionManager="transactionJpaManager")
          public void delete​(java.lang.Long map_key)

      Specified by:
        `delete` in interface `GlobalTreeMapService`

    - #### deleteAllByMapKey

          @Transactional(transactionManager="transactionJpaManager")
          public void deleteAllByMapKey​(java.util.List<java.lang.Long> map_keys)

      Specified by:
        `deleteAllByMapKey` in interface `GlobalTreeMapService`

    - #### findAllBy

          public java.util.List<GlobalTreeMapEntity> findAllBy​(GlobalTreeMapEntity globalTreeMapEntity)

      Specified by:
        `findAllBy` in interface `GlobalTreeMapService`

    - #### findAllMapBy

          public java.util.Map<java.lang.String,​java.util.List<java.lang.Long>> findAllMapBy​(GlobalTreeMapEntity globalTreeMapEntity)

      Specified by:
        `findAllMapBy` in interface `GlobalTreeMapService`

    - #### findAllByIds

          public java.util.List<GlobalTreeMapEntity> findAllByIds​(java.util.List<java.lang.Long> ids,
                                                                  java.lang.String name)

      Specified by:
        `findAllByIds` in interface `GlobalTreeMapService`

    - #### findAllMapByIds

          public java.util.Map<java.lang.String,​java.util.List<java.lang.Long>> findAllMapByIds​(java.util.List<java.lang.Long> ids,
                                                                                                      java.lang.String name)

      Specified by:
        `findAllMapByIds` in interface `GlobalTreeMapService`

    - #### findById

          public GlobalTreeMapEntity findById​(java.lang.Long map_key)

      Specified by:
        `findById` in interface `GlobalTreeMapService`